# Uses of Class
org.eclipse.ltk.core.refactoring.GroupCategorySet

Packages that use GroupCategorySet
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.

## Uses of GroupCategorySet in org.eclipse.ltk.core.refactoring

Fields in org.eclipse.ltk.core.refactoring declared as GroupCategorySet
Modifier and Type
Field
Description
`static final GroupCategorySet`
GroupCategorySet.`NONE`
Constant representing a group category set containing no group categories.
Methods in org.eclipse.ltk.core.refactoring that return GroupCategorySet
Modifier and Type
Method
Description
`GroupCategorySet`
CategorizedTextEditGroup.`getGroupCategorySet()`
Returns the set of group categories.
`GroupCategorySet`
TextEditBasedChangeGroup.`getGroupCategorySet()`
Returns the set of group categories.
`static GroupCategorySet`
GroupCategorySet.`union(GroupCategorySet one, GroupCategorySet two)`
Creates a new group category set containing the union of the given two group category sets
Methods in org.eclipse.ltk.core.refactoring with parameters of type GroupCategorySet
Modifier and Type
Method
Description
`static GroupCategorySet`
GroupCategorySet.`union(GroupCategorySet one, GroupCategorySet two)`
Creates a new group category set containing the union of the given two group category sets
Constructors in org.eclipse.ltk.core.refactoring with parameters of type GroupCategorySet
Modifier
Constructor
Description
``
`CategorizedTextEditGroup(String name, GroupCategorySet groupCategories)`
Creates a new text edit group with the given name and group categories.
``
`CategorizedTextEditGroup(String name, TextEdit[] edits, GroupCategorySet groupCategories)`
Creates a new text edit group with the given name, array of edits and a set of group categories.
``
`CategorizedTextEditGroup(String name, TextEdit edit, GroupCategorySet groupCategories)`
Creates a new text edit group with a name, a single `TextEdit` and a set of group categories.